Bug 802751 - X fails on nVidia GF116 [GeForce GTX 550 Ti] (rev a1)
X fails on nVidia GF116 [GeForce GTX 550 Ti] (rev a1)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 08:42 EDT by Bill Peck
Modified: 2013-07-31 17:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2012-03-13 08:42:35 EDT
Description of problem:
Latest Fedora 16 updates and Fedora 17 Alpha 1 fails to display, in fact the monitor switches off and the machine is not pingable.

Version-Release number of selected component (if applicable):
x/xorg-x11-drv-nouveau-0.0.16-34.20110720gitb806e3f.fc17.x86_64.rpm
k/kernel-3.3.0-0.rc4.git1.4.fc17.x86_64.rpm

How reproducible:
Everytime

ajax,  I can bring this system into the office if it helps debug this.
Comment 1 Adam Jackson 2012-03-15 11:59:15 EDT
01:00.0 VGA compatible controller [0300]: nVidia Corporation GF116 [GeForce GTX 550 Ti] [10de:1244] (rev a1) (prog-if 00 [VGA controller])

So this looks like a bug in nouveau proper.  If we boot with nomodeset, ssh in, and load nouveau with modeset=1, the driver loads, but no outputs light up.  Attempting to start X fails with:

[   740.495] (II) GLX: Initialized DRI2 GL provider for screen 0
[   740.501] (II) NOUVEAU(0): NVEnterVT is called.
[   742.503] (EE) NOUVEAU(0): failed to set mode: Device or resource busy
Fatal server error:
[   742.504] failed to create screen resources

Corresponding bit of dmesg:

[  740.504241] [drm:drm_crtc_helper_set_config], [CRTC:11] [FB:43] #connectors=1 (x y) (0 0)
[  740.504327] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-2] to [CRTC:11]
[  740.504336] [drm] nouveau 0000:01:00.0: nv50_crtc_do_mode_set_base:522 - index 0
[  740.504382] [drm] nouveau 0000:01:00.0: nv50_display_isr:979 - PDISPLAY_INTR 0x00010000 0x00000000
[  740.504387] [drm] nouveau 0000:01:00.0: EvoCh 0 Mthd 0x0080 Data 0x00000000 (0x100b 0x05)
[  742.504885] [drm:drm_ioctl], ret = fffffff0

Interestingly Bill claims that the F16 livecd (kernel 3.1.0-7.fc16 i guess) worked.  I haven't tested that myself.
Comment 2 NoName 2012-03-23 16:28:31 EDT
I confirm that the livecd kernel 3.1.0-7.fc16 works correctly with the livecd and an installed fc16. All other kernels that i tried (kernels 3.0.x and kernels 3.2.x upwards) would result in the same problem.
Comment 3 Ilja Sekler 2012-04-14 15:59:49 EDT
The issue seems to be resolved in the 3.4rc2 kernel at the latest. I've built and tested it briefly but successfully on my Fedora 16 machine with a GeForce GTX 550 Ti (KMS and Xv work fine, GLX is not available).
Comment 4 Fedora End Of Life 2013-07-03 17:02:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 17:46:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.